-- #60
CREATE TABLE startedpatchfunction (
    patchhandlerid           integer      NOT NULL
,   patchgroundfunctionid    integer      NOT NULL
,   patchversionid           integer      NOT NULL
,   patchhostid              integer      NOT NULL
,   time                     datetime     NOT NULL
,   constraint pk_startedpatchfunction               primary key (patchhandlerid, patchgroundfunctionid, patchversionid, patchhostid)
,   constraint fk_startedpatchfunction_patchhandler  foreign key (patchhandlerid)
        references patchhandler  (patchhandlerid)
,   constraint fk_startedpatchfunction_patchgroundfunction  foreign key (patchgroundfunctionid)
        references patchgroundfunction  (patchgroundfunctionid)
,   constraint fk_startedpatchfunction_patchversion  foreign key (patchversionid)
        references patchversion  (patchversionid)
,   constraint fk_startedpatchfunction_patchhost  foreign key (patchhostid)
        references patchhost  (patchhostid)
)
GO