-- #170
CREATE TABLE completedpatchstorecartridge (
    patchstoreid         integer      NOT NULL
,   patchcartridgeid     integer      NOT NULL
,   patchversionid       integer      NOT NULL
,   time                 datetime     NOT NULL
,   constraint pk_completedpatchstorecartridge             primary key (patchstoreid, patchcartridgeid, patchversionid)
,   constraint fk_completedpatchstorecartridge_patchstore  foreign key (patchstoreid)
        references patchstore                                 (patchstoreid)
,   constraint fk_completedpatchstorecartridge_patchcartridge  foreign key (patchcartridgeid)
        references patchcartridge                             (patchcartridgeid)
,   constraint fk_completedpatchstorecartridge_patchversion  foreign key (patchversionid)
        references patchversion                               (patchversionid)
)
GO