-- #160
CREATE TABLE startedpatchstorecartridge (
    patchstoreid         integer      NOT NULL
,   patchcartridgeid     integer      NOT NULL
,   patchversionid       integer      NOT NULL
,   time                 datetime     NOT NULL
,   constraint pk_startedpatchstorecartridge             primary key (patchstoreid, patchcartridgeid, patchversionid)
,   constraint fk_startedpatchstorecartridge_patchstore  foreign key (patchstoreid)
        references patchstore                                 (patchstoreid)
,   constraint fk_startedpatchstorecartridge_patchcartridge  foreign key (patchcartridgeid)
        references patchcartridge                             (patchcartridgeid)
,   constraint fk_startedpatchstorecartridge_patchversion  foreign key (patchversionid)
        references patchversion                               (patchversionid)
)
GO